Update the Indie Web Server installation script to version 9.0.0

parent dece821f
......@@ -2,27 +2,27 @@
######################################################################
#
# Indie Web Server v8.2.0 Installer
# Indie Web Server v9.0.0 Installer
#
# To use:
#
# wget -qO- https://ind.ie/web-server/install.sh | bash
#
# This script is only for Linux and macOS. For Windows, please install
# via npm: npm i -g @ind.ie/web-server
# This script is only for Linux and macOS.
# On Windows, please use Windows Subsystem for Linux.
#
######################################################################
set -e
echo
echo " 📡 Downloading Indie Web Server v8.2.0…"
echo " 📡 Downloading Indie Web Server v9.0.0…"
if [[ "$OSTYPE" == "linux-gnu" ]]; then
# Linux
wget -q https://ind.ie/web-server/linux/8.2.0.tar.gz
wget -q https://ind.ie/web-server/linux/9.0.0.tar.gz
elif [[ "$OSTYPE" == "darwin"* ]]; then
# macOS
wget -q https://ind.ie/web-server/macos/8.2.0.tar.gz
wget -q https://ind.ie/web-server/macos/9.0.0.tar.gz
else
# Unsupported
echo "\n ❌ Error: this operating system is not supported.\n"
......@@ -30,10 +30,10 @@ else
fi
echo " 📦 Installing…"
gzip -d 8.2.0.tar.gz
tar -xvf 8.2.0.tar > /dev/null
gzip -d 9.0.0.tar.gz
tar -xvf 9.0.0.tar > /dev/null
sudo mv web-server /usr/local/bin/
rm 8.2.0.tar
rm 9.0.0.tar
echo " 🎉 Done!"
echo
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment